Alshival.Ai Docs
Portal ↗Wiki ↗

DEVELOPER DOCUMENTATION

Cloud API reference

Generated from the reviewed public OpenAPI snapshot (API 1.9.0).

Base URL: https://api.alshival.ai. Use Bearer authentication. See authentication and the interactive reference.

This reference covers cloud routes only. Local routes are documented in Desktop API. Empty response schemas below mean the deployed schema does not specify fields; they do not imply an empty response.

GET /v1/workspaces/{workspace_id}/project/boards

Project Board List

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/project/boards

Project Board Create

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/BoardCreate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/project/boards/{item_id}

Project Board Action

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/BoardAction"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tasks/{item_id}/move

Project Task Move

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TaskMove"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project/taxonomy

Project Task Taxonomy

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/project/taxonomy

Project Taxonomy Configure

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TaxonomyConfigure"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project/statuses

Project Board Statuses

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/project/statuses

Project Board Configure

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/BoardConfigure"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project

Project Board

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project/timeline

Project Timeline

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project/activity

Project Activity

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project/assignees

Project Assignees

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/deliverables

Project Deliverable List

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/deliverables

Project Deliverable Create

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/DeliverableCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Idempotent replay"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/deliverables/{item_id}

Project Deliverable Get

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/deliverables/{item_id}

Project Deliverable Update

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/DeliverableUpdate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/deliverables/{item_id}/actions

Project Deliverable Action

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Action"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/tasks

Project Task List

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tasks

Project Task Create

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TaskCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Idempotent replay"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/tasks/{item_id}

Project Task Get

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/tasks/{item_id}

Project Task Update

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TaskUpdate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

DELETE /v1/workspaces/{workspace_id}/tasks/{item_id}

Project Task Delete

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/RevisionInput"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tasks/{item_id}/actions

Project Task Action

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Action"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/notes

Project Note List

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/notes

Project Note Create

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/NoteCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Idempotent replay"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/notes/{item_id}

Project Note Get

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/notes/{item_id}

Project Note Update

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/NoteUpdate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/notes/{item_id}/actions

Project Note Action

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Action"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/tickets

Project Ticket List

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tickets

Project Ticket Create

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TicketCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Idempotent replay"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/tickets/{item_id}

Project Ticket Get

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tickets/{item_id}/actions

Project Ticket Action

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Action"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/notes/{item_id}/replies

Project Note Replies

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/notes/{item_id}/replies

Project Note Reply

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Reply"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Idempotent replay"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/tickets/{item_id}/messages

Project Ticket Messages

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tickets/{item_id}/messages

Project Ticket Message

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Reply"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Idempotent replay"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tasks/{item_id}/restore

Project Task Restore Deleted

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/RevisionInput"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/tasks/{item_id}/comments

Project Task Comments

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}
board_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Board Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
q query no {"anyOf": [{"type": "string", "maxLength": 160}, {"type": "null"}], "title": "Q"}
state query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}
status_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Status Id"}
type_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Type Ids"}
label_ids query no {"anyOf": [{"type": "array", "items": {"type": "string", "format": "uuid"}}, {"type": "null"}], "title": "Label Ids"}
archived query no {"type": "boolean", "default": false, "title": "Archived"}
deleted query no {"type": "boolean", "default": false, "title": "Deleted"}
assignee_id query no {"anyOf": [{"type": "integer", "exclusiveMinimum": 0}, {"type": "null"}], "title": "Assignee Id"}
unassigned query no {"type": "boolean", "default": false, "title": "Unassigned"}
priority query no {"anyOf": [{"enum": ["low", "normal", "high", "urgent"], "type": "string"}, {"type": "null"}], "title": "Priority"}
due_before query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due Before"}
due_after query no {"anyOf": [{"type": "string", "format": "date"}, {"type": "null"}], "title": "Due After"}
kind query no {"anyOf": [{"enum": ["task", "service_ticket"], "type": "string"}, {"type": "null"}], "title": "Kind"}
deliverable_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Deliverable Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/tasks/{item_id}/comments

Project Task Comment

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Item Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/CommentCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/tasks/{item_id}/comments/{comment_id}

Project Task Comment Update

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"type": "string", "format": "uuid", "title": "Item Id"}
comment_id path yes {"type": "string", "format": "uuid", "title": "Comment Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/CommentUpdate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

DELETE /v1/workspaces/{workspace_id}/tasks/{item_id}/comments/{comment_id}

Project Task Comment Delete

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
item_id path yes {"type": "string", "format": "uuid", "title": "Item Id"}
comment_id path yes {"type": "string", "format": "uuid", "title": "Comment Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/RevisionInput"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/health

Health

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  }
}

GET /v1/me

Identity

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/project-endpoint

Project Endpoint

Resolve project storage and direct API/MCP endpoints. Requires project:read. Never proxies project content.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces

Workspaces

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/api-entitlements

Entitlements

Requires usage:read. Accepted effective API terms.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/api-usage

Api Usage

Requires usage:read. Native consumption and visible daily request totals.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/api-usage/requests

Api Requests

Requires usage:read and request-history permission. No bodies, credentials, or raw URLs are recorded.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
key_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Key Id"}
request_id query no {"anyOf": [{"type": "string", "format": "uuid"}, {"type": "null"}], "title": "Request Id"}
status query no {"anyOf": [{"type": "integer", "maximum": 599, "minimum": 0}, {"type": "null"}], "title": "Status"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/agent-context

Agent Context

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources

Resources

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}
external_id query no {"anyOf": [{"type": "string", "minLength": 1, "maxLength": 200, "pattern": "^[A-Za-z0-9._:/@+\\-]+$"}, {"type": "null"}], "title": "External Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources

Create Resource

Requires resources:write and all-resource access. A stable external_id prevents duplicate registration.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ResourceCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Identical registration already exists"
  },
  "409": {
    "description": "External ID conflict"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/resources/{resource_id}

Update Resource

Requires resources:write for this resource. Set status to retired to preserve its record and retained logs.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ResourceUpdate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources/{resource_id}

Resource

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources/{resource_id}/alerts

Resource Alerts Read

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/alerts

Resource Alerts Write

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/AlertChange"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources/{resource_id}/monitoring

Monitoring Read

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}
view query no {"enum": ["status", "history", "incidents", "deliveries"], "type": "string", "default": "status", "title": "View"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/monitoring

Monitoring Configure

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/MonitorChange"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/monitoring/subscription

Monitoring Subscription

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/MonitorSubscription"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/monitoring/sources

Monitoring Source

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/MonitorSourceInput"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources/{resource_id}/repository

Repository Read

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}
view query no {"enum": ["status", "tree", "file", "search", "semantic"], "type": "string", "default": "status", "title": "View"}
source query no {"enum": ["code", "wiki"], "type": "string", "default": "code", "title": "Source"}
path query no {"type": "string", "maxLength": 2000, "default": "", "title": "Path"}
query query no {"type": "string", "maxLength": 1000, "default": "", "title": "Query"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 30, "title": "Limit"}
line query no {"type": "integer", "minimum": 1, "default": 1, "title": "Line"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/repository/refresh

Repository Refresh

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources/{resource_id}/ssh-key

Resource Ssh Key Status

Return Neura SSH alias, destination, fingerprint, and synchronization status. Key material is never returned.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PUT /v1/workspaces/{workspace_id}/resources/{resource_id}/ssh-key

Set Resource Ssh Key

Install or rotate a write-only private key in the workspace's ready Neura runtime. Send pasted key contents or read an uploaded local key file into private_key.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ResourceSSHKeySet"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

DELETE /v1/workspaces/{workspace_id}/resources/{resource_id}/ssh-key

Remove Resource Ssh Key

Remove the Neura SSH alias, private key, host trust entry, and destination firewall grant.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/services

Services

Requires services:read.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
q query no {"type": "string", "maxLength": 160, "default": "", "title": "Q"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/services

Create Service

Requires a staff-audience key, services:write and the bound staff actor's live service permission. Creates a record, never billing.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ServiceCreate"
      }
    }
  }
}

Responses

{
  "201": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "200": {
    "description": "Identical operation already completed"
  },
  "409": {
    "description": "Idempotency conflict"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/services/{service_id}

Service

Requires services:read.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/services/{service_id}

Update Service

Staff only, services:write. Partial metadata edit; requires the latest updated_at and a reusable idempotency key.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ServiceUpdate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "409": {
    "description": "Record changed or idempotency conflict"
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/services/{service_id}/usage

Service Usage

Requires services:usage:read.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 100, "minimum": 1, "default": 50, "title": "Limit"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/services/{service_id}/time

Service Time Create

Staff only: services:usage:write. Explicit actual minutes; never invoices automatically.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TimeCreate"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PATCH /v1/workspaces/{workspace_id}/services/{service_id}/time/{entry_id}

Service Time Correct

Staff only: services:usage:write. Revision and correction reason required.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}
entry_id path yes {"type": "string", "format": "uuid", "title": "Entry Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TimeCorrect"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/services/{service_id}/time/{entry_id}/void

Service Time Void

Staff only: services:usage:write. Retains correction history.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}
entry_id path yes {"type": "string", "format": "uuid", "title": "Entry Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/TimeVoid"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

PUT /v1/workspaces/{workspace_id}/resources/{resource_id}/services/{service_id}

Attach Service

Add an existing service association. Requires resources:write, services:read, and access to the resource. Safe to retry; other associations are retained.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}
service_id path yes {"type": "string", "format": "uuid", "title": "Service Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/logs

Logs Ingest

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Request body

Required: true.

{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Batch"
      }
    }
  }
}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

GET /v1/workspaces/{workspace_id}/resources/{resource_id}/logs

Logs Query

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}
cursor query no {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cursor"}
limit query no {"type": "integer", "maximum": 200, "minimum": 1, "default": 100, "title": "Limit"}
start query no {"anyOf": [{"type": "string", "format": "date-time"}, {"type": "null"}], "title": "Start"}
end query no {"anyOf": [{"type": "string", "format": "date-time"}, {"type": "null"}], "title": "End"}
severity query no {"anyOf": [{"type": "string", "pattern": "^(TRACE|DEBUG|INFO|WARN|ERROR|FATAL)$"}, {"type": "null"}], "title": "Severity"}
q query no {"anyOf": [{"type": "string", "maxLength": 500}, {"type": "null"}], "title": "Q"}
trace_id query no {"anyOf": [{"type": "string", "pattern": "^[0-9a-f]{32}$"}, {"type": "null"}], "title": "Trace Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

POST /v1/workspaces/{workspace_id}/resources/{resource_id}/otlp/v1/logs

Otlp Ingest

OTLP/HTTP ExportLogsServiceRequest, application/x-protobuf or application/json; gzip supported.

Parameters

Name Location Required Schema
workspace_id path yes {"type": "string", "format": "uuid", "title": "Workspace Id"}
resource_id path yes {"type": "string", "format": "uuid", "title": "Resource Id"}

Responses

{
  "200": {
    "description": "Successful Response",
    "content": {
      "application/json": {
        "schema": {}
      }
    }
  },
  "422": {
    "description": "Validation Error",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/HTTPValidationError"
        }
      }
    }
  }
}

Schema definitions

Request/response $ref values refer to these component schemas.

{
  "schemas": {
    "Action": {
      "properties": {
        "board_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Board Id"
        },
        "status_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Status Id"
        },
        "revision": {
          "type": "integer",
          "minimum": 1.0,
          "title": "Revision"
        },
        "action": {
          "type": "string",
          "enum": [
            "work",
            "claim",
            "approve",
            "changes",
            "state",
            "reopen",
            "archive",
            "restore",
            "update"
          ],
          "title": "Action"
        },
        "state": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 20
            },
            {
              "type": "null"
            }
          ],
          "title": "State"
        },
        "body": {
          "type": "string",
          "maxLength": 3000,
          "title": "Body",
          "default": ""
        },
        "blocked_reason": {
          "type": "string",
          "maxLength": 500,
          "title": "Blocked Reason",
          "default": ""
        },
        "assignee": {
          "anyOf": [
            {
              "type": "integer",
              "exclusiveMinimum": 0.0
            },
            {
              "type": "null"
            }
          ],
          "title": "Assignee"
        },
        "priority": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "low",
                "normal",
                "high",
                "urgent"
              ]
            },
            {
              "type": "null"
            }
          ],
          "title": "Priority"
        }
      },
      "additionalProperties": false,
      "type": "object",
      "required": [
        "revision",
        "action"
      ],
      "title": "Action"
    },
    "AlertChange": {
      "properties": {
        "operation": {
          "type": "string",
          "enum": [
            "subscribe",
            "policy",
            "save_destination",
            "request_verification",
            "verify_destination",
            "pause_destination",
            "remove_destination",
            "test",
            "save_route",
            "pause_route",
            "acknowledge"
          ],
          "title": "Operation"
        },
        "values": {
          "$ref": "#/components/schemas/AlertValues"
        }
      },
      "additionalProperties": false,
      "type": "object",
      "required": [
        "operation",
        "values"
      ],
      "title": "AlertChange"
    },
    "AlertValues": {
      "properties": {
        "operation_id": {
          "type": "string",
          "format": "uuid",
          "title": "Operation Id"
        },
        "id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Id"
        },
        "incident_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Incident Id"
        },
        "revision": {
          "anyOf": [
            {
              "type": "integer",
              "minimum": 0.0
            },
            {
              "type": "null"
            }
          ],
          "title": "Revision"
        },
        "label": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 100
            },
            {
              "type": "null"
            }
          ],
          "title": "Label"
        },
        "channel": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "email",
                "sms",
                "webhook",
                "slack",
                "discord"
              ]
            },
            {
              "type": "null"
            }
          ],
          "title": "Channel"
        },
        "address": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 2048
            },
            {
              "type": "null"
            }
          ],
          "title": "Address"
        },
        "shared": {
          "anyOf": [
            {
              "type": "boolean"
            },
            {
              "type": "null"
            }
          ],
          "title": "Shared"
        },
        "enabled": {
          "anyOf": [
            {
              "type": "boolean"
            },
            {
              "type": "null"
            }
          ],
          "title": "Enabled"
        },
        "paused": {
          "anyOf": [
            {
              "type": "boolean"
            },
            {
              "type": "null"
            }
          ],
          "title": "Paused"
        },
        "consent": {
          "anyOf": [
            {
              "type": "boolean"
            },
            {
              "type": "null"
            }
          ],
          "title": "Consent"
        },
        "code": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 64
            },
            {
              "type": "null"
            }
          ],
          "title": "Code"
        },
        "action": {
          "anyOf": [
            {
              "type": "string",
              "enum": [
                "subscribe",
                "defaults",
                "unsubscribe"
              ]
            },
            {
              "type": "null"
            }
          ],
          "title": "Action"
        },
        "channels": {
          "anyOf": [
            {
              "additionalProperties": {
                "type": "string",
                "enum": [
                  "on",
                  "off",
                  ""
                ]
              },
              "type": "object"
            },
            {
              "type": "null"
            }
          ],
          "title": "Channels"
        },
        "configuration": {
          "anyOf": [
            {
              "additionalProperties": true,
              "type": "object"
            },
            {
              "type": "null"
            }
          ],
          "title": "Configuration"
        }
      },
      "additionalProperties": false,
      "type": "object",
      "required": [
        "operation_id"
      ],
      "title": "AlertValues"
    },
    "BoardAction": {
      "properties": {
        "board_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Board Id"
        },
        "revision": {
          "type": "integer",
          "minimum": 1.0,
          "title": "Revision"
        },
        "action": {
          "type": "string",
          "enum": [
            "rename",
            "archive",
            "restore"
          ],
          "title": "Action"
        },
        "name": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 120,
              "minLength": 1
            },
            {
              "type": "null"
            }
          ],
          "title": "Name"
        }
      },
      "additionalProperties": false,
      "type": "object",
      "required": [
        "revision",
        "action"
      ],
      "title": "BoardAction"
    },
    "BoardConfigure": {
      "properties": {
        "board_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Board Id"
        },
        "revision": {
          "type": "string",
          "maxLength": 64,
          "minLength": 64,
          "title": "Revision"
        },
        "action": {
          "type": "string",
          "enum": [
            "create",
            "update",
            "default",
            "reorder",
            "retire"
          ],
          "title": "Action"
        },
        "status_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid"
            },
            {
              "type": "null"
            }
          ],
          "title": "Status Id"
        },
        "name": {
          "anyOf": [
            {
              "type": "string",
              "maxLength": 60,
              "minLength": 1
            },
[...]
